Skip to content
Get started

Get All Instrument Events

GET/v1/instruments/events

List instrument events across all securities.

Retrieves all instrument events grouped by date.

Query ParametersExpand Collapse
event_types: optional array of AllEventsEventType

Filter by event type(s). Comma-delimited list. Example: event_types=EARNINGS,IPO.

One of the following:
"EARNINGS"
"DIVIDEND"
"STOCK_SPLIT"
"IPO"
from_date: optional string

The start date for the query range, inclusive (YYYY-MM-DD).

instrument_ids: optional array of string

Filter by OEMS instrument ID(s). Comma-delimited list of UUIDs. Example: instrument_ids=550e8400-e29b-41d4-a716-446655440000.

to_date: optional string

The end date for the query range, inclusive (YYYY-MM-DD).

ReturnsExpand Collapse
data: InstrumentAllEventsData { event_dates }

All-events payload grouped by date.

event_dates: array of InstrumentEventsByDate { date, events }

Events grouped by date in descending order.

date: string

Event date.

formatdate
events: array of InstrumentEventEnvelope { symbol, type, dividend_event_data, 6 more }

Flat event envelopes for this date.

symbol: string

Symbol associated with the event.

Event type discriminator.

One of the following:
"EARNINGS"
"DIVIDEND"
"STOCK_SPLIT"
"IPO"
dividend_event_data: optional InstrumentDividendEvent { adjusted_dividend_amount, ex_date, declaration_date, 5 more }

Dividend payload when type is DIVIDEND.

adjusted_dividend_amount: string

The adjusted dividend amount accounting for any splits.

ex_date: string

The day the stock starts trading without the right to receive that dividend.

formatdate
declaration_date: optional string

The declaration date of the dividend

formatdate
dividend_amount: optional string

The dividend amount per share.

dividend_yield: optional string

The dividend yield as a percentage of the stock price.

frequency: optional string

The frequency of the dividend payments (e.g., “Quarterly”, “Annual”).

payment_date: optional string

The payment date is the date on which a declared stock dividend is scheduled to be paid.

formatdate
record_date: optional string

The record date, set by a company’s board of directors, is when a company compiles a list of shareholders of the stock for which it has declared a dividend.

formatdate
earnings_event_data: optional InstrumentEarnings { date, eps_actual, eps_estimate, 4 more }

Earnings payload when type is EARNINGS.

date: string

The date when the earnings report was published

formatdate
eps_actual: optional string

The actual earnings per share (EPS) for the period

eps_estimate: optional string

The estimated earnings per share (EPS) for the period

eps_surprise_percent: optional string

The percentage difference between actual and estimated EPS

revenue_actual: optional string

The actual total revenue for the period

revenue_estimate: optional string

The estimated total revenue for the period

revenue_surprise_percent: optional string

The percentage difference between actual and estimated revenue

instrument_id: optional string

OEMS instrument identifier, when the instrument is found in the instrument cache.

formatuuid
ipo_event_data: optional InstrumentEventIpoItem { actions, announced_at, company, 4 more }

IPO payload when type is IPO.

actions: optional string

IPO action.

announced_at: optional string

IPO announced timestamp.

formatdate-time
company: optional string

IPO company name.

exchange: optional string

IPO exchange.

market_cap: optional string

IPO market cap.

price_range: optional string

IPO price range.

shares: optional string

IPO shares offered.

name: optional string

Instrument name associated with the event, when available.

reporting_currency: optional string

The currency used for reporting financial data.

stock_split_event_data: optional InstrumentSplitEvent { date, denominator, numerator, split_type }

Stock split payload when type is STOCK_SPLIT.

date: string

The date of the stock split

formatdate
denominator: string

The denominator of the split ratio

numerator: string

The numerator of the split ratio

split_type: string

The type of stock split (e.g., “stock-split”, “stock-dividend”, “bonus-issue”)

Get All Instrument Events

curl https://api.clearstreet.com/v1/instruments/events \
    -H "Authorization: Bearer $API_KEY"
{
  "data": {
    "event_dates": [
      {
        "date": "2026-04-23",
        "events": [
          {
            "dividend_event_data": {
              "adjusted_dividend_amount": "0.5236",
              "declaration_date": "2026-04-22",
              "dividend_amount": "0.5236",
              "dividend_yield": "43.82881469863321",
              "ex_date": "2026-04-23",
              "frequency": "Weekly",
              "payment_date": "2026-04-24",
              "record_date": "2026-04-23"
            },
            "instrument_id": "2281b543-7136-4008-aa0a-a402bf9d9f90",
            "name": "YieldMax ABNB Option Income Strategy ETF",
            "reporting_currency": "USD",
            "symbol": "ABNY",
            "type": "DIVIDEND"
          },
          {
            "dividend_event_data": {
              "adjusted_dividend_amount": "0.1432",
              "declaration_date": "2026-04-22",
              "dividend_amount": "0.1432",
              "dividend_yield": "181.7918287937743",
              "ex_date": "2026-04-23",
              "frequency": "Weekly",
              "payment_date": "2026-04-24",
              "record_date": "2026-04-23"
            },
            "instrument_id": "4b33fa52-8ab6-43f5-a8df-042e0c63d20e",
            "name": "YieldMax AI Option Income Strategy ETF",
            "reporting_currency": "USD",
            "symbol": "AIYY",
            "type": "DIVIDEND"
          }
        ]
      }
    ]
  },
  "metadata": {
    "request_id": "5efbf08a-9067-4491-9f29-cf0b233507ef"
  }
}
{
  "error": {
    "code": 400,
    "message": "Failed to deserialize query string. Error: premature end of input"
  },
  "metadata": {
    "request_id": "e0a9bd3a-8510-41a7-8144-c51a27787b9c"
  }
}
Returns Examples
{
  "data": {
    "event_dates": [
      {
        "date": "2026-04-23",
        "events": [
          {
            "dividend_event_data": {
              "adjusted_dividend_amount": "0.5236",
              "declaration_date": "2026-04-22",
              "dividend_amount": "0.5236",
              "dividend_yield": "43.82881469863321",
              "ex_date": "2026-04-23",
              "frequency": "Weekly",
              "payment_date": "2026-04-24",
              "record_date": "2026-04-23"
            },
            "instrument_id": "2281b543-7136-4008-aa0a-a402bf9d9f90",
            "name": "YieldMax ABNB Option Income Strategy ETF",
            "reporting_currency": "USD",
            "symbol": "ABNY",
            "type": "DIVIDEND"
          },
          {
            "dividend_event_data": {
              "adjusted_dividend_amount": "0.1432",
              "declaration_date": "2026-04-22",
              "dividend_amount": "0.1432",
              "dividend_yield": "181.7918287937743",
              "ex_date": "2026-04-23",
              "frequency": "Weekly",
              "payment_date": "2026-04-24",
              "record_date": "2026-04-23"
            },
            "instrument_id": "4b33fa52-8ab6-43f5-a8df-042e0c63d20e",
            "name": "YieldMax AI Option Income Strategy ETF",
            "reporting_currency": "USD",
            "symbol": "AIYY",
            "type": "DIVIDEND"
          }
        ]
      }
    ]
  },
  "metadata": {
    "request_id": "5efbf08a-9067-4491-9f29-cf0b233507ef"
  }
}
{
  "error": {
    "code": 400,
    "message": "Failed to deserialize query string. Error: premature end of input"
  },
  "metadata": {
    "request_id": "e0a9bd3a-8510-41a7-8144-c51a27787b9c"
  }
}